Bug 655866 - Review Request: xqc - C/C++ API for interfacing with XQuery processors
Review Request: xqc - C/C++ API for interfacing with XQuery processors
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 658420
  Show dependency treegraph
 
Reported: 2010-11-22 10:09 EST by Martin Gieseking
Modified: 2011-01-21 18:07 EST (History)
4 users (show)

See Also:
Fixed In Version: xqc-1.0-0.2.20101120svn7.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-12 03:03:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Gieseking 2010-11-22 10:09:06 EST
Spec URL: http://mgieseki.fedorapeople.org/xqc/xqc.spec
SRPM URL: http://mgieseki.fedorapeople.org/xqc/xqc-1.0-0.1.20101120svn.fc14.src.rpm

Description: The goal of the XQC project is to create standardized C/C++ APIs for interfacing with XQuery processors. They provide mechanisms to compile and execute XQueries, manage contexts, and provide a basic interface for the XQuery Data Model.

Note:
This is a pretty small package that provides the xqc header file and some related documentation. Since both xqilla-devel and the Zorba XQuery processor (which I'm planning to package) rely on xqc, we need to get rid of the bundled xqc headers and provide a separate package.
Comment 1 Jonathan Robie 2010-11-22 10:50:16 EST
I support this change.
Comment 2 Peter Lemenkov 2011-01-11 01:47:59 EST
I'll review it
Comment 3 Peter Lemenkov 2011-01-11 04:03:04 EST
Koji scratchbuild for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2714364
Comment 4 Peter Lemenkov 2011-01-11 04:25:49 EST
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+/- rpmlint is almost silent

work ~: rpmlint Desktop/xqc-1.0-0.1.20101120svn.fc15.*
xqc.noarch: W: devel-file-in-non-devel-package /usr/include/xqc.h

^^^ this seems to be ok. This package contains only this file. Although I prefer that such packages should be named ad *-devel I have no strong opinion here.

xqc.src: W: invalid-url Source0: xqc.tar.gz

^^^ that's ok for development snapshots.

2 packages and 0 specfiles checked; 0 errors, 2 warnings.
work ~: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines. I have only two cosmetic suggestions:

* You may use svn export instead of svn co (you don't need to explicitly remove .svn case of using export)
* Explicitly mentioning svn version in %version field sounds like a good idea.

These notes won't block the approval - feel free to ignore them.

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (BSD).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.

+/- The package contains only one header file. Generally, we're placing such files into *-devel packages but IMO this is not the same case - *-devel packages are supplementary ones to the other rpms, which could be used standalone. So I don't think we need to create virtual provides or rename package here - this package is specifically designed to contain only header files.

0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Ok, here is a summary:

* Please, consider my cosmetic notes above. 
* Regardless of the result of your consideration (these notes are just cosmetic ones), this package is


APPROVED.
Comment 5 Martin Gieseking 2011-01-11 05:04:24 EST
Thank you for the review and your notes, Peter. Much appreciated.
I prefer to keep the package name "xqc" because this is the name of the upstream project, and "xqc-devel" might indicate that there must be a corresponding non-devel "xqc" package (just my impression).

I'll think about your other suggestions. Thanks again.
Comment 6 Martin Gieseking 2011-01-11 06:04:19 EST
New Package SCM Request
=======================
Package Name: xqc
Short Description: C/C++ API for interfacing with XQuery processors
Owners: mgieseki
Branches: f13 f14
InitialCC:
Comment 7 Jason Tibbitts 2011-01-11 13:19:17 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2011-01-11 14:28:59 EST
xqc-1.0-0.2.20101120svn7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xqc-1.0-0.2.20101120svn7.fc13
Comment 9 Fedora Update System 2011-01-11 14:29:06 EST
xqc-1.0-0.2.20101120svn7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xqc-1.0-0.2.20101120svn7.fc14
Comment 10 Fedora Update System 2011-01-21 17:54:38 EST
xqc-1.0-0.2.20101120svn7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-01-21 18:07:02 EST
xqc-1.0-0.2.20101120svn7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.